dht::NodeStats Struct Reference

## Public Member Functions

unsigned | getKnownNodes () const
std::string | toString () const

## Public Attributes

unsigned | good_nodes {0}
unsigned | dubious_nodes {0}
unsigned | cached_nodes {0}
unsigned | incoming_nodes {0}
unsigned | table_depth {0}

## Detailed Description

Definition at line 47 of file callbacks.h.

## Member Function Documentation

## getKnownNodes()

unsigned dht::NodeStats::getKnownNodes | ( |  | ) | const

inline

Definition at line 53 of file callbacks.h.

## Member Data Documentation

## cached_nodes

unsigned dht::NodeStats::cached_nodes {0}

Definition at line 50 of file callbacks.h.

## dubious_nodes

unsigned dht::NodeStats::dubious_nodes {0}

Definition at line 49 of file callbacks.h.

## good_nodes

unsigned dht::NodeStats::good_nodes {0}

Definition at line 48 of file callbacks.h.

## incoming_nodes

unsigned dht::NodeStats::incoming_nodes {0}

Definition at line 51 of file callbacks.h.

## table_depth

unsigned dht::NodeStats::table_depth {0}

Definition at line 52 of file callbacks.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/callbacks.h